DefaultCodecLookup (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class DefaultCodecLookup

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.DefaultCodecLookup

All Implemented Interfaces:
  CodecLookup, GrailsApplicationAware, org.springframework.beans.factory.InitializingBean

    public class DefaultCodecLookup
    extends java.lang.Object

Authors:
  Lari Hotari

Since:
  2.3

Field Summary
`static Encoder` | `NONE_ENCODER`
`protected org.springframework.context.ApplicationContext` | `applicationContext`
`protected java.util.Map` | `decoders`
`protected java.util.Map` | `encoders`
`protected GrailsApplication` | `grailsApplication`

Method Summary
`void` | `afterPropertiesSet()`
`Decoder` | `lookupDecoder(java.lang.String codecName)`
`Encoder` | `lookupEncoder(java.lang.String codecName)`
`void` | `reInitialize()`
`protected void` | `registerCodecs()`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### NONE_ENCODER

    public static final Encoder NONE_ENCODER

### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

### decoders

    protected java.util.Map decoders

### encoders

    protected java.util.Map encoders

### grailsApplication

    protected GrailsApplication grailsApplication

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### lookupDecoder

    public Decoder lookupDecoder(java.lang.String codecName)

### lookupEncoder

    public Encoder lookupEncoder(java.lang.String codecName)

### reInitialize

    public void reInitialize()

### registerCodecs

    protected void registerCodecs()

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation